Package org.pushingpixels.lafplugin

# Class XMLParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.pushingpixels.lafplugin.XMLParseException

All Implemented Interfaces:
  `Serializable`

public class XMLParseException extends RuntimeException
An XMLParseException is thrown when an error occures while parsing an XML string.

$Revision: 39 $
$Date: 2009-10-14 19:49:29 -0700 (Wed, 14 Oct 2009) $

see nanoxml.XMLElement

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NO_LINE`
Indicates that no line number has been associated with this exception.

## Constructor Summary

Constructors
Constructor
Description
`XMLParseException(String name, int lineNr, String message)`
Creates an exception.
`XMLParseException(String name, String message)`
Creates an exception.

## Method Summary

Modifier and Type
Method
Description
`int`
`getLineNr()`
Where the error occurred, or `NO_LINE` if the line number is unknown.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NO_LINE

public static final int NO_LINE
Indicates that no line number has been associated with this exception.

See Also:
  - Constant Field Values

## Constructor Details

### XMLParseException

public XMLParseException(String name, String message)
Creates an exception.

Parameters:
  `name` - The name of the element where the error is located.
  `message` - A message describing what went wrong.

Preconditions:
  - `message != null`

Postconditions:
  - getLineNr() => NO_LINE

### XMLParseException

public XMLParseException(String name, int lineNr, String message)
Creates an exception.

Parameters:
  `name` - The name of the element where the error is located.
  `lineNr` - The number of the line in the input.
  `message` - A message describing what went wrong.

Preconditions:
  - `message != null`
  - `lineNr > 0`

Postconditions:
  - getLineNr() => lineNr

## Method Details

### getLineNr

public int getLineNr()
Where the error occurred, or `NO_LINE` if the line number is unknown. see nanoxml.XMLParseException#NO_LINE